<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_374bf250a2" . "cd00d5f5742" . "fea7c487197" => base64_decode("ZG9jdW1lbnRfd" . "Gl0bGU="), "_af9f5df6df6e" . "4ab6fd5318e89" . "9627078" => base64_decode("ZG9jdW1lbnRfdHlwZ" . "Q=="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_374bf250a2cd00d5f5742fe" . "a7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_af9f5df6df6e4ab6fd5318e899627" . "078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}